Bug 20234 - (SOUND OPL3SA)ESound gets distorted with X activity
(SOUND OPL3SA)ESound gets distorted with X activity
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-02 13:59 EST by Yaron Minsky
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaron Minsky 2000-11-02 13:59:07 EST
Basically, when a lot of stuff is happening on the screen, anything played
through ESD gets awfully distorted.  realplayer doesn't have this problem,
but mpg123 does, as does xmms.  (if realplayer is shunted through ESD, then
it experiences the same distortion.)

On a related note, it doesn't seem possible to make mpg123 NOT use esd,
which is a real pain.

Also, further muddying the picture, xmms shows the same distortion even
when not using ESD.  Not sure why this is.
Comment 1 Yaron Minsky 2000-11-02 16:30:19 EST
Further details:

the problem it turns out DOES occur with RealPlayer, but only when playing MP3s,
not when streaming over the net.  So this sounds like it's not an ESound problem
per-se, but more generally a problem with the interaction between X and the
sound card.

I know it's X because other kinds of CPU and disk activity (launching mozilla,
compiling, running large compute jobs) don't disrupt the sound.

My soundcard is a Neomagic 256AV (rev 2).  It's configured in soundcfg as an
OPL3 SAx card.  I tried the Neomagic 256AV option directly, but it didn't work.
(Gateway calls this a Neomagic NMA2 and in reviews as the Neomagic MagicWave A2).

Also, the sound behavior seems to be worse with RedHat 7.0 than it was with
Redhat 6.2.
Comment 2 Yaron Minsky 2000-11-03 20:03:10 EST
Extra note: my soundcard is configured as an OPL3 SAx card.  THis is how I
configured it in RH6.2 and RH6.1, with no problems.  There is an entry for the
Neomagic card itself, but it doesn't get set up correctly by sndconfig.   Here's
the error message it produces

     The following error occurred running the modprobe program:

     /lib/modules/2.2.16-22/misc/nm256.o: init_module: Device or resource busy

     /lib/modules/2.2.16-22/misc/nm256.o: insmod
     /lib/modules/2.2.16-22/misc/nm256.o failed
     /lib/modules/2.2.16-22/misc/nm256.o: insmod sound-slot-0 failed
Comment 3 Bugzilla owner 2004-09-30 11:38:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.